Subject: Re: bug#52669: 29.0.50; build failure: ‘Qsqlitep’ undeclared

From: Sam Steingold <[email-masked]>
Date: Mon, 20 Dec 2021 09:53:42 -0500

I build in a separate directory.
I just did

rm -rf build
mkdir build
cd build
../configure --with-imagemagick   --with-mailutils --with-native-compilation
make bootstrap

and got

make[2]: Entering directory '/home/sds/src/emacs/trunk/build/src'
  GEN      globals.h
  CC       dispnew.o
In file included from ../../src/dispnew.c:27:
../../src/lisp.h: In function ‘CHECK_SQLITE’:
../../src/lisp.h:2677:27: error: ‘Qsqlitep’ undeclared (first use in
this function); did you mean ‘Qslice’?
 2677 |   CHECK_TYPE (SQLITE (x), Qsqlitep, x);
      |                           ^~~~~~~~
      |                           Qslice
../../src/lisp.h:2677:27: note: each undeclared identifier is reported
only once for each function it appears in
make[2]: *** [Makefile:411: dispnew.o] Error 1
make[2]: Leaving directory '/home/sds/src/emacs/trunk/build/src'
make[1]: *** [Makefile:463: src] Error 2
make[1]: Leaving directory '/home/sds/src/emacs/trunk/build'
make: *** [Makefile:1173: bootstrap] Error 2

On Mon, 20 Dec 2021 at 01:59, Stefan Kangas <[email-masked]> wrote:
>
> Sam Steingold <[email-masked]> writes:
>
> > Yes, it does.
> > today the configure was regenerated (because configure.in changed) and
> > I got the same error.
>
> How about "make distclean && make bootstrap"?

-- 
Sam Steingold <http://sds.podval.org> <http://www.childpsy.net>
<http://steingoldpsychology.com>